# make file for DOS32  32bit Protected Mode Debugger (DEBUG.LIB) and example
# file.
#
# tools required; MASM v6.1+
# and library manager such as MicroSoft's LIB or Borland's TLIB
#
#
# to modify the character font data (font.dat) you'll also need
# 4DOS and a public domain utilitly called CHOP by Walter J. Kennamer
# available from the SimTel MS-DOS archive. The font editor program
# is called editor.exe wich is in this directory. This is a very old
# program of mine. It was written in Pascal however I couldn't include
# the source as its since been lost.
#
#
#

ASM = ml.exe -c -Cp -nologo

example : example.exe

example.exe : example.obj debug.lib
   dlink -c example,,,debug

example.obj : example.asm
    $(ASM)  example.asm

debug.lib : debug.obj decode.obj pfloat.obj
    del debug.lib
    LIB debug.lib /NoLogo /NoIgnoreCase +debug.obj +decode.obj +pfloat.obj,,,
    #tlib debug.lib /C +debug.obj +decode.obj +pfloat.obj,

debug.obj : debug.asm debug.inc man_font.inc keys.inc supscrip.inc arrows.inc
    $(ASM) debug.asm

decode.obj : decode.asm opcodes.inc debug.inc
    $(ASM) decode.asm

pfloat.obj : pfloat.asm debug.inc
    $(ASM) pfloat.asm



# The two data files (supscript.dat & arrows.dat) are extracted from
# the file font.dat which is a copy of VGA font memory. i.e its arranged
# in the format, 256 characters of width 8*32. Since the debugger
# uses 80*50 text mode the characters sizes shown on the screen are only
# 8*8 where the rest of the characters lines are ignored.
# The batch file gfont.bat will extract 8*8 characters from font.dat and
# store into file.

man_font.inc : font.dat
    gfont.bat man_font.dat 0 4
    bin2hex  man_font.dat > man_font.inc

supscrip.inc : font.dat
    gfont.bat supscrip.dat 4 16
    bin2hex  supscrip.dat > supscrip.inc

arrows.inc : font.dat
    gfont.bat arrows.dat 212 1
    bin2hex  arrows.dat > arrows.inc
